
/* <weight>: Use a value from 100 to 900
 <uniquifier>: Use a unique and descriptive class name*/

 /*
.roboto-<uniquifier> {
  font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
}


.roboto-slab-<uniquifier> {
  font-family: "Roboto Slab", serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
}*/

html, body {
    margin: 0;
    padding: 0;
    height: 100%; /*immer 100% vom Display nutzen*/
    text-align: center;
}
/**/
section{
    min-height: 100%;   /*damit die Sections immer den Display zu 100% ausfüllen*/
}

a{
    text-decoration: none;
}
li{
    list-style-type: none;
}
h1, h2, h3, a{
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
    color: #494949;
    text-transform: uppercase;
}
h2{
    color: #5d7177;
}
h3{
    font-size: 40px;
    padding-top: 8%;
    margin-bottom: 5px;
    margin: 0;
} /*margin: 0; wenn weisser Balken*/
h4, p{
    font-family: 'Roboto Slab', serif;
    color: #494949;
}
hr{
    width: 30px;
    height: 3px;
    background: #494949;
    border: 0;
    margin: 0 auto 40px auto;
}
#logo, li, img, .button , .fa-bars{
    transition: all 300ms;
    -webkit-transition: all 300ms;
    -moz-transition: all 300ms;
    -o-transition: all 300ms;
}
.fa-bars{
    display: none;
}
/*Voreinstellungen ENDE---------------------------------*/
/* HEADER ***********************************************/
header{
    width: 100%;
    height: 65px;
    position: fixed;
    top: 0;
    left: 0;
    background: #fff;
    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.1);
    z-index: 1;
}
header nav{
    float: right;
    margin: 10px 50px 0px 0px;
}
header nav ul li{
    float: left;
    margin-left: 25px;
}
header nav ul li a{
    font-size: 16px;
}

header nav ul li:hover{
    opacity: 0.7;
}
/* HOME ***********************************************/
#home{
    background: url(../img/landing1.svg);
    background-position: center center;
    background-size: cover;
    background-attachment: fixed; /*Bild soll immer in der oberen Postion bleiben und nur überzogen werden*/
}
#home h1{
    margin: 240px auto 0px auto;
    font-size: 80px;
    width: 80%;
}
#home h2{
    margin: 0px auto 0px auto;
    font-size: 35px;
    color: #494949;
}
#home img{
    width: 32px;
    margin-top: 150px;
    opacity: 0.7;
} /* hier muss noch das Bild weiter runter. Problem ist möglicherweise das kein Bild hinterlegt*/

#home img:hover{
    opacity: 1;
}

/* ABOUT ***********************************************/

#about{
    background-color: #fefefe;
}

#about img{
    width: 240px;
    
}

#about img:hover{
    transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
}
#about h4{
    font-size: 25px;

}
#about p{
    width: 700px;
    margin: 0px auto 0px auto;
}

/* WORK ***********************************************/

#work{
    background-color: #f0f0f0;
}
#projects{
    width: 900px;
    margin: 0px auto 0px auto;
}
#projects ul{
    padding: 0px;
}

#projects ul li{
    width: 50%;
    float: left;
    margin-bottom: 15px;
}

#projects img{
    width: 280px;
    height: 170px;
    border-radius: 5px;
}
#projects img:hover{
    transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
    box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.3);
}
/* IMPRESSUM ***********************************************/
#impressum table{
    margin: 0px auto 0px auto;
}
#impressum p{
    width: 80%;
    margin: 0px 10% 0px 10%;
}
/* FOOTER ***********************************************/

footer{
    width: 100%;
    height: 70px;
    background-color: #3f3f3f;
}

footer p{
    font-size: 12px;
    color: #f0f0f0;
    padding-top: 30px;
}

/* MEDIA QUERIES ***********************************************/

/* TABLETS */
@media screen and (max-width: 1024px) {
    header{
        /*height: auto;*/
        height: 55px;
    }
    #logo {
        width: 100px;
        margin-top: 5px;
    }
    header nav{
        margin-top: 0px;
    }
    header nav ul li{
        font-size: 15px;
    }
    
    #home h1{
        font-size: 40px;
        margin-top: 200px;
    }
    #home h2{
        font-size: 22px;        
    }
    h3{
        padding-top: 12%;
    }
    #about p{
        width: 80%;
    }
    #projects{
        width: auto;
    }
    #projects ul li{
        width: 100%;
        float: none;
    }
    #projects ul li:last-child{
        padding-bottom: 20%;
    }
    #projects img{
        width: 55%;
        height: auto;
    }
    form input, form textarea{
        width: 60%;
    }
    .button{
        width: 62%;
    }
}
/* MOBILE */
@media screen and (max-width: 680px) {
    h3{
        font-size: 20px;
    }
    Header{
        height: 40px;
    }
    header nav{
        margin: 0px;
        float: none;
    }
    .fa-bars{
        height: 35px;
        display: inline-block;
        width: 100%;
        cursor: pointer;
        text-align: right;
        float: left;
        margin: 5px 30px 0px 0px;
    }
    .fa-bars:hover{
        opacity: 0.5;
    }
    header nav ul{
        height: 0px;
        overflow: hidden;
        margin: 10px 0px 0px 0px;
        padding: 0;
        width: 100%;
        opacity: 1;
    }
    header nav ul.open{
        height: auto;
    }
    header nav ul li{
        width: 100%;
        padding: 5px 0px;
        margin: 0;
        font-size: 14px;
        background-color: #d0dadd;
        border-top: #3f3f3f;
        border-bottom: #3f3f3f;
    }
    header nav ul li:hover{
       background-color: #dceae4; 
       padding-top: 10;
       opacity: 1;
    }
    #home h1{
        font-size: 30px;
        margin-top: 150px;

    }
    #home h2{
        width: 70%;
        height: auto;
    }
    #about img{
        width: 40%;
    }
    #projects img{
       width: 50%;
       height: auto; 
    }
    form input, form textarea{
        width: 70%;
    }
    .button{
        width: 73%;
    }
    #impressum p {
        width: auto;
        margin: 0px 10% 0px 10%;
    }
}